Bug 123385 - Excessive number of autogenerated signatures
Excessive number of autogenerated signatures
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Depends On:
  Show dependency treegraph
Reported: 2004-05-17 16:54 EDT by Paul F. Johnson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-11 14:37:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2004-05-17 16:54:40 EDT
Description of problem:
Evolution seems to enjoy creating excessive autogenerated email
signatures. I currently have 5 genuine signatures and another 30 odd
autogenerated ones. They seem to increase as well

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a new account
2. Create a new signature
Actual results:
There are loads of autogenerated signatures

Expected results:
There should only be one autogenerated signature per account

Additional info:
Comment 1 Dave Malcolm 2004-05-25 15:11:01 EDT
Looks like it might be this upstream bug:
(every time you edit an account you get another 'autogenerated' signature)

The upstream bug should be fixed in evo 1.5.8 (and possibly 1.5.7),
but the signatures that were created will still exist.  They're stored
in GConf in the key /apps/evolution/mail/signatures.  You should be
able to use gconf-editor to browse to that key and edit it; this will
let you selectively delete the various signatures.  Alternatively you
can use "unset key" to get rid of all of them.

Works for me.  Does it work for you?
Comment 2 Paul F. Johnson 2004-05-25 18:15:26 EDT
Nope. Can't find the key at all under /apps/evolution/mail/signatures
- the signatures bit doesn't exist!
Comment 3 Andrew Farris 2004-05-25 19:56:00 EDT
The key is named signatures, the path the key is stored at is
Comment 4 Paul F. Johnson 2004-05-25 20:14:46 EDT
All I've got there is

Composer, Display, Filters, Format, Junk, Message-window, Notify,
Prompts, Subscribe-window and trash.

Nothing on signatures.
Comment 5 ajs 2004-05-25 21:18:45 EDT
Those are sub paths: select /apps/evolution/mailn in the left-hand window.

The right-hand window should then show accounts, default_account,
labesl, licenses, save_dir and signatures (at least mine did).  Then
right click on the signatures key.
Comment 6 Paul F. Johnson 2004-05-26 05:28:54 EDT
That's got it - thanks :-)

Note You need to log in before you can comment on or make changes to this bug.